Bug 143344 - [PATCH] sysutils/dtc: unbreak port
Summary: [PATCH] sysutils/dtc: unbreak port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-29 14:10 UTC by Sevan Janiyan
Modified: 2010-09-16 20:20 UTC (History)
1 user (show)

See Also:


Attachments
dtc-0.28.2.1_3.patch (87.68 KB, patch)
2010-01-29 14:10 UTC, Sevan Janiyan
no flags Details | Diff
dtc-mk2.txt (89.29 KB, text/plain)
2010-01-29 17:12 UTC, Sevan Janiyan
no flags Details
dtc.diff (121.55 KB, patch)
2010-09-16 13:54 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2010-01-29 14:10:07 UTC
fix plist
switch to using macros for locations to allow for more flexibility on install location e.g DOCSDIR,WWWDIR
patch Makefile to allow the use of macros without breaking plist

Added file(s):
- files/patch-Makefile

Port maintainer (thomas@goirand.fr) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-01-29 14:10:19 UTC
Maintainer of sysutils/dtc,

Please note that PR ports/143344 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143344

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-29 14:10:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sevan Janiyan 2010-01-29 16:54:05 UTC
bah, sorry, I was a bit too keen & didn't test the port with tinderbox, 
attached is an updated diff which resolves previously stated issues 
aswell as stops the install command from setting the incorrect 
permissions on the man8 directory.

tested with tinderbox on FreeBSD 8.0


=== Checking filesystem state after all packages deleted
cmp: EOF on /etc/group-save
=== /etc/group was modified:
--- /etc/group-save	2010-01-29 16:32:16.000000000 +0000
+++ /etc/group	2010-01-29 16:33:01.000000000 +0000
@@ -29,3 +29,4 @@
  www:*:80:
  nogroup:*:65533:
  nobody:*:65534:
+mysql:*:88:
cmp: EOF on /etc/master.passwd-save
=== /etc/master.passwd was modified:
--- /etc/master.passwd-save	2010-01-29 16:32:16.000000000 +0000
+++ /etc/master.passwd	2010-01-29 16:33:01.000000000 +0000
@@ -21,3 +21,4 @@
  pop:*:68:6::0:0:Post Office Owner:/nonexistent:/usr/sbin/nologin
  www:*:80:80::0:0:World Wide Web Owner:/nonexistent:/usr/sbin/nologin
  nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin
+mysql:*:88:88::0:0:MySQL Daemon:/nonexistent:/sbin/nologin
================================================================
build of /usr/ports/sysutils/dtc ended at Fri Jan 29 16:34:50 UTC 2010
Comment 4 Thomas Goirand 2010-01-29 17:12:57 UTC
Hi,

I agree to this, however, it would be nice to consider using the latest
Git version of DTC that has loads of patches for FreeBSD.

Thomas
Comment 5 Philip M. Gollucci freebsd_committer 2010-01-31 01:42:17 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 Philip M. Gollucci freebsd_committer 2010-01-31 01:44:50 UTC
State Changed
From-To: closed->open

oops, wrong script, re-open, assign to myself 


Comment 7 Philip M. Gollucci freebsd_committer 2010-01-31 01:44:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

oops, wrong script, re-open, assign to myself
Comment 8 Philip M. Gollucci freebsd_committer 2010-02-04 03:01:15 UTC
State Changed
From-To: open->feedback

http://tb.p6m7g8.net//errors/9-CURRENT-amd64/dtc-0.28.2.1_3.log
Comment 9 Philip M. Gollucci freebsd_committer 2010-02-26 00:39:56 UTC
State Changed
From-To: feedback->closed

feedback timeout, 21 days
Comment 10 Sevan Janiyan 2010-03-15 22:24:35 UTC
On 26/02/2010 00:39, pgollucci@FreeBSD.org wrote:
> Synopsis: [PATCH] sysutils/dtc: unbreak port
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: pgollucci
> State-Changed-When: Fri Feb 26 00:39:56 UTC 2010
> State-Changed-Why:
> feedback timeout, 21 days
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143344

Sorry for the delay, I've finally moved my instance of tinderbox to a 
dedicated host, I've managed to build sysutils/dtc successfully on 7.2, 
8.0 & 9 without any issues


building dtc-0.28.2.1_3 in directory /usr/local/tinderbox/9.0-FreeBSD
build started at Mon Mar 15 13:13:18 UTC 2010
port directory: /usr/ports/sysutils/dtc
building for:  9.0-CURRENT i386
maintained by: thomas@goirand.fr
Makefile ident: $FreeBSD: ports/sysutils/dtc/Makefile,v 1.28 2009/12/08 
14:30:06 pav Exp $
prefixes: LOCALBASE=usr/local PREFIX=/usr/local
Begin Configuration:
---Begin Environment---
ARCH=i386
PACKAGE_BUILDING=1
USER=root
CCACHE_DIR=
BRANCH=CURRENT
CCACHE_NOLINK=1
HOST_WORKDIR=
BATCH=1
OLDPWD=/
HOME=/root
LOG_DIRECTORY=/usr/local/runlog/
LOG_DOCOPY=1
PKGZIPCMD=bzip2
HAVE_MOTIF=1
FTP_TIMEOUT=900
HTTP_TIMEOUT=900
defaultUpdateHost=cvsup.uk.freebsd.org
pb=/usr/local/tinderbox
DISTFILE_CACHE=/usr/ports/distfiles/
OSREL=9.0
defaultUpdateType=CSUP
TINDERD_LOGFILE=/dev/null
PORTOBJFORMAT=elf
WRKDIRPREFIX=/work
DISTDIR=/tmp/distfiles
DISTCACHE=/distcache
CCACHE_LOGFILE=
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
PACKAGES=/tmp/packages
TIMEOUT=7200
PKGSUFFIX=.tbz
OSVERSION=900009
__DSVERSION__=3.2.1
OPTIONS_ENABLED=0
TINDERD_SLEEPTIME=120
UNAME_n=tinderbox.host
__MKLVL__=1
CCACHE_JAIL=0
LOCALBASE=/usr/local
CCACHE_MAX_SIZE=1G
DISTFILE_URI=
X_WINDOW_SYSTEM=xorg
MASTER_SITE_OVERRIDE=file:///distcache/${DIST_SUBDIR}/
OPTIONS_DIR=
UNAME_r=9.0-CURRENT
USA_RESIDENT=YES
UNAME_s=FreeBSD
PARALLEL_PACKAGE_BUILD=1
PWD=/usr/ports/sysutils/dtc
UNAME_v=FreeBSD 9.0-CURRENT #0: Mon Mar 15 09:52:10 GMT 2010 
root@tinderbox.host:/usr/src/sys/magic/kernel/path
FTP_PASSIVE_MODE=yes
CCACHE_ENABLED=0
INDEXFILE=INDEX-9
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

End Configuration.
FETCH_DEPENDS=
PATCH_DEPENDS=
EXTRACT_DEPENDS=
BUILD_DEPENDS=expat-2.0.1_1.tbz pcre-8.00.tbz libiconv-1.13.1_1.tbz 
perl-5.10.1.tbz apache-2.2.14_5.tbz
RUN_DEPENDS=mysql-client-5.0.90.tbz mysql-server-5.0.90.tbz 
apache-2.2.14_5.tbz expat-2.0.1_1.tbz pcre-8.00.tbz 
libiconv-1.13.1_1.tbz perl-5.10.1.tbz mod_log_sql-dtc-1.101.tbz 
pear-1.9.0.tbz php5-5.2.12.tbz php5-pcre-5.2.12.tbz php5-xml-5.2.12.tbz 
libxml2-2.7.6_1.tbz pkg-config-0.23_1.tbz pear-Crypt_CBC-1.0.0.tbz 
sbox-dtc-1.07.3.tbz sudo-1.7.2.2.tbz libnss-mysql-1.5_2.tbz 
chrootuid-1.3.tbz gettext-0.17_1.tbz wget-1.12.tbz php5-zlib-5.2.12.tbz 
fpdf-1.6,1.tbz fontconfig-2.8.0,1.tbz freetype2-2.3.11.tbz 
bitstream-vera-1.10_4.tbz webfonts-0.30_6.tbz mhonarc-2.6.16_1.tbz 
mlmmj-1.2.17.tbz ncftp-3.2.3.tbz cairo-1.8.8,1.tbz png-1.2.42.tbz 
pango-1.26.2.tbz pixman-0.16.6.tbz xcb-util-0.3.6_1.tbz 
libXrender-0.9.4_1.tbz glib-2.22.4.tbz xorg-fonts-truetype-7.4.tbz 
encodings-1.0.2,1.tbz libXft-2.1.14.tbz gio-fam-backend-2.22.4.tbz 
libxcb-1.5.tbz libXau-1.0.4.tbz libXdmcp-1.0.2_1.tbz 
renderproto-0.9.3.tbz libX11-1.2.1_1,1.tbz xproto-7.0.15.tbz 
python26-2.6.4.tbz font-bh-ttf-1.0.0.tbz font-misc-meltho-1.0.0_1.tbz 
font-misc-ethiopic-1.0.0.tbz font-util-1.0.1.tbz gamin-0.1.10_3.tbz 
libpthread-stubs-0.3_3.tbz kbproto-1.0.3.tbz mkfontdir-1.0.4.tbz 
mkfontscale-1.0.6.tbz libfontenc-1.0.4.tbz rrdtool-1.4.2.tbz 
php5-mysql-5.2.12.tbz php5-session-5.2.12.tbz
add_pkg
================================================================
====================<phase 1: make checksum>====================
=> dtc-0.28.2.1.tar.gz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
dtc-0.28.2.1.tar.gz                                     10 MB   12 MBps
=> MD5 Checksum OK for dtc-0.28.2.1.tar.gz.
=> SHA256 Checksum OK for dtc-0.28.2.1.tar.gz.
================================================================
====================<phase 2: make extract>====================
add_pkg
===>  Extracting for dtc-0.28.2.1_3
=> MD5 Checksum OK for dtc-0.28.2.1.tar.gz.
=> SHA256 Checksum OK for dtc-0.28.2.1.tar.gz.
================================================================
====================<phase 3: make patch>====================
add_pkg
===>  Patching for dtc-0.28.2.1_3
===>  Applying FreeBSD patches for dtc-0.28.2.1_3
===>   Ignoring patchfile /a/ports/sysutils/dtc/files/patch-Makefile.orig
================================================================
====================<phase 4: make build>====================
add_pkg expat-2.0.1_1.tbz pcre-8.00.tbz libiconv-1.13.1_1.tbz 
perl-5.10.1.tbz apache-2.2.14_5.tbz
adding dependencies
pkg_add expat-2.0.1_1.tbz
pkg_add pcre-8.00.tbz
pkg_add libiconv-1.13.1_1.tbz
pkg_add perl-5.10.1.tbz
Removing stale symlinks from /usr/bin...
     Skipping /usr/bin/perl
     Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
     Symlinking /usr/local/bin/perl5.10.1 to /usr/bin/perl
     Symlinking /usr/local/bin/perl5.10.1 to /usr/bin/perl5
Done.
Cleaning up /etc/make.conf... Done.
Spamming /etc/make.conf... Done.
Cleaning up /etc/manpath.config... Done.
Spamming /etc/manpath.config... Done.
pkg_add apache-2.2.14_5.tbz

To run apache www server from startup, add apache22_enable="YES"
in your /etc/rc.conf. Extra options can be found in startup script.

Your hostname must be resolvable using at least 1 mechanism in
/etc/nsswitch typically DNS or /etc/hosts or apache might
have issues starting depending on the modules you are using.

===>   dtc-0.28.2.1_3 depends on file: /usr/local/sbin/apxs - found
===>  Configuring for dtc-0.28.2.1_3
================================================================
====================<phase 5: make test>====================
make: don't know how to make regression-test(continuing)
1 error
================================================================
====================<phase 6: make install>====================
add_pkg mysql-client-5.0.90.tbz mysql-server-5.0.90.tbz 
apache-2.2.14_5.tbz expat-2.0.1_1.tbz pcre-8.00.tbz 
libiconv-1.13.1_1.tbz perl-5.10.1.tbz mod_log_sql-dtc-1.101.tbz 
pear-1.9.0.tbz php5-5.2.12.tbz php5-pcre-5.2.12.tbz php5-xml-5.2.12.tbz 
libxml2-2.7.6_1.tbz pkg-config-0.23_1.tbz pear-Crypt_CBC-1.0.0.tbz 
sbox-dtc-1.07.3.tbz sudo-1.7.2.2.tbz libnss-mysql-1.5_2.tbz 
chrootuid-1.3.tbz gettext-0.17_1.tbz wget-1.12.tbz php5-zlib-5.2.12.tbz 
fpdf-1.6,1.tbz fontconfig-2.8.0,1.tbz freetype2-2.3.11.tbz 
bitstream-vera-1.10_4.tbz webfonts-0.30_6.tbz mhonarc-2.6.16_1.tbz 
mlmmj-1.2.17.tbz ncftp-3.2.3.tbz cairo-1.8.8,1.tbz png-1.2.42.tbz 
pango-1.26.2.tbz pixman-0.16.6.tbz xcb-util-0.3.6_1.tbz 
libXrender-0.9.4_1.tbz glib-2.22.4.tbz xorg-fonts-truetype-7.4.tbz 
encodings-1.0.2,1.tbz libXft-2.1.14.tbz gio-fam-backend-2.22.4.tbz 
libxcb-1.5.tbz libXau-1.0.4.tbz libXdmcp-1.0.2_1.tbz 
renderproto-0.9.3.tbz libX11-1.2.1_1,1.tbz xproto-7.0.15.tbz 
python26-2.6.4.tbz font-bh-ttf-1.0.0.tbz font-misc-meltho-1.0.0_1.tbz 
font-misc-ethiopic-1.0.0.tbz font-util-1.0.1.tbz gamin-0.1.10_3.tbz 
libpthread-stubs-0.3_3.tbz kbproto-1.0.3.tbz mkfontdir-1.0.4.tbz 
mkfontscale-1.0.6.tbz libfontenc-1.0.4.tbz rrdtool-1.4.2.tbz 
php5-mysql-5.2.12.tbz php5-session-5.2.12.tbz
adding dependencies
pkg_add mysql-client-5.0.90.tbz
pkg_add mysql-server-5.0.90.tbz
Added group "mysql".
Added user "mysql".

************************************************************************

Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
the first time you start the MySQL server after an upgrade from an
earlier version.

************************************************************************

pkg_add apache-2.2.14_5.tbz
skipping apache-2.2.14_5, already added
pkg_add expat-2.0.1_1.tbz
skipping expat-2.0.1_1, already added
pkg_add pcre-8.00.tbz
skipping pcre-8.00, already added
pkg_add libiconv-1.13.1_1.tbz
skipping libiconv-1.13.1_1, already added
pkg_add perl-5.10.1.tbz
skipping perl-5.10.1, already added
pkg_add mod_log_sql-dtc-1.101.tbz
[preparing module `log_sql' in /usr/local/etc/apache22/httpd.conf]
pkg_add pear-1.9.0.tbz
pkg_add php5-5.2.12.tbz
skipping php5-5.2.12, already added
pkg_add php5-pcre-5.2.12.tbz
skipping php5-pcre-5.2.12, already added
pkg_add php5-xml-5.2.12.tbz
skipping php5-xml-5.2.12, already added
pkg_add libxml2-2.7.6_1.tbz
skipping libxml2-2.7.6_1, already added
pkg_add pkg-config-0.23_1.tbz
skipping pkg-config-0.23_1, already added
pkg_add pear-Crypt_CBC-1.0.0.tbz
install ok: channel://pear.php.net/Crypt_CBC-1.0.0
pkg_add sbox-dtc-1.07.3.tbz
pkg_add sudo-1.7.2.2.tbz
pkg_add libnss-mysql-1.5_2.tbz
pkg_add chrootuid-1.3.tbz
pkg_add gettext-0.17_1.tbz
pkg_add wget-1.12.tbz
pkg_add php5-zlib-5.2.12.tbz
pkg_add fpdf-1.6,1.tbz

You should add the FPDF path /usr/local/share/fpdf
to the "include_path=" directive in your php.ini.

pkg_add fontconfig-2.8.0,1.tbz
Running fc-cache to build fontconfig cache...
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
pkg_add freetype2-2.3.11.tbz
skipping freetype2-2.3.11, already added
pkg_add bitstream-vera-1.10_4.tbz
/var/tmp/instmp.etDUJ4/lib/X11/fonts/bitstream-vera: caching, new cache 
contents: 10 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
deea84fa067eec67b69dab1b2344175b-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
/usr/local/bin/fc-cache: succeeded

IMPORTANT - READ CAREFULLY: Please read the COPYRIGHT included with 
these fonts
before using.  The copyright can be found at 
/usr/local/lib/X11/fonts/bitstream-vera/COPYRIGHT.TXT.  To
use these fonts, follow the instructions below.

Make sure that the freetype module is loaded.  If it is not, add the 
following
line to the "Modules" section of your X Windows configuration file:

	Load "freetype"

Add the following line to the "Files" section of X Windows configuration 
file:

	FontPath "/usr/local/lib/X11/fonts/bitstream-vera/"

Note: your X Windows configuration file is typically /etc/X11/xorg.conf

pkg_add webfonts-0.30_6.tbz
/var/tmp/instmp.Lhkj4h/lib/X11/fonts/webfonts: caching, new cache 
contents: 30 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
f86b9f9db81ae2130c557866a33e83fd-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
/usr/local/bin/fc-cache: succeeded

IMPORTANT - READ CAREFULLY: You may not use these fonts if you do not 
agree to
the terms of the Microsoft End-User License Agreement ("EULA").  You 
will find
the EULA at /usr/local/share/doc/webfonts/LICENSE.  If you read and agree
to the EULA, you can start using the fonts by following these instructions:

Make sure that the freetype module is loaded.  If it is not, add the 
following
line to the "Modules" section of xorg.conf or XF86Config:

	Load "freetype"

Add the following line to the "Files" section of xorg.conf or XF86Config:

	FontPath "/usr/local/lib/X11/fonts/webfonts/"

pkg_add mhonarc-2.6.16_1.tbz
pkg_add mlmmj-1.2.17.tbz
pkg_add ncftp-3.2.3.tbz
pkg_add cairo-1.8.8,1.tbz


*****************************************************************
Although libxcb can yield dramatic improvements in speed,
memory footprint, and responsiveness, and will probably
become the default Xlib for X.org/freedesktop.org, it is
still experimental software.  Some broken callers will abort()
on locking assertion failures.  As a temporary workaround, set
LIBXCB_ALLOW_SLOPPY_LOCK in your environment to skip the abort().
This may result in noisy stacktrace printing.
*****************************************************************

pkg_add png-1.2.42.tbz
skipping png-1.2.42, already added
pkg_add pango-1.26.2.tbz

====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3		databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====

/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 1 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
3ba285aff5e810aa6985339ad72e7df0-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 1 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 23 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
d6a82a7420f683b92800b5c72e29748a-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 13 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded

===============================================================================

Gamin will only provide realtime notification of changes for at most n 
files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

     kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================

pkg_add pixman-0.16.6.tbz
skipping pixman-0.16.6, already added
pkg_add xcb-util-0.3.6_1.tbz
skipping xcb-util-0.3.6_1, already added
pkg_add libXrender-0.9.4_1.tbz
skipping libXrender-0.9.4_1, already added
pkg_add glib-2.22.4.tbz
skipping glib-2.22.4, already added
pkg_add xorg-fonts-truetype-7.4.tbz
skipping xorg-fonts-truetype-7.4, already added
pkg_add encodings-1.0.2,1.tbz
skipping encodings-1.0.2,1, already added
pkg_add libXft-2.1.14.tbz
skipping libXft-2.1.14, already added
pkg_add gio-fam-backend-2.22.4.tbz
skipping gio-fam-backend-2.22.4, already added
pkg_add libxcb-1.5.tbz
skipping libxcb-1.5, already added
pkg_add libXau-1.0.4.tbz
skipping libXau-1.0.4, already added
pkg_add libXdmcp-1.0.2_1.tbz
skipping libXdmcp-1.0.2_1, already added
pkg_add renderproto-0.9.3.tbz
skipping renderproto-0.9.3, already added
pkg_add libX11-1.2.1_1,1.tbz
skipping libX11-1.2.1_1,1, already added
pkg_add xproto-7.0.15.tbz
skipping xproto-7.0.15, already added
pkg_add python26-2.6.4.tbz
skipping python26-2.6.4, already added
pkg_add font-bh-ttf-1.0.0.tbz
skipping font-bh-ttf-1.0.0, already added
pkg_add font-misc-meltho-1.0.0_1.tbz
skipping font-misc-meltho-1.0.0_1, already added
pkg_add font-misc-ethiopic-1.0.0.tbz
skipping font-misc-ethiopic-1.0.0, already added
pkg_add font-util-1.0.1.tbz
skipping font-util-1.0.1, already added
pkg_add gamin-0.1.10_3.tbz
skipping gamin-0.1.10_3, already added
pkg_add libpthread-stubs-0.3_3.tbz
skipping libpthread-stubs-0.3_3, already added
pkg_add kbproto-1.0.3.tbz
skipping kbproto-1.0.3, already added
pkg_add mkfontdir-1.0.4.tbz
skipping mkfontdir-1.0.4, already added
pkg_add mkfontscale-1.0.6.tbz
skipping mkfontscale-1.0.6, already added
pkg_add libfontenc-1.0.4.tbz
skipping libfontenc-1.0.4, already added
pkg_add rrdtool-1.4.2.tbz
pkg_add php5-mysql-5.2.12.tbz
pkg_add php5-session-5.2.12.tbz
===>  Installing for dtc-0.28.2.1_3
===>   dtc-0.28.2.1_3 depends on file: /usr/local/libexec/mysqld - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/libexec/apache22/mod_log_sql.so - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/share/pear/Crypt/CBC.php - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/www/cgi-bin/sbox - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/sudo - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/lib/nss_mysql.so - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/sbin/chrootuid - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/wget - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/share/fpdf/fpdf.php - 
found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/lib/X11/fonts/bitstream-vera/Vera.ttf - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/lib/X11/fonts/webfonts/verdana.ttf - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/mhonarc - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/mlmmj-list - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/ncftpput - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/bin/rrdtool - found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/include/php/main/php.h 
- found
===>   dtc-0.28.2.1_3 depends on file: /usr/local/sbin/apxs - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/lib/php/20060613/mysql.so - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/lib/php/20060613/pcre.so - found
===>   dtc-0.28.2.1_3 depends on file: 
/usr/local/lib/php/20060613/session.so - found
===>   Generating temporary packing list
===>  Checking if sysutils/dtc already installed
# PHP scripts files served by web server
-> Creating detination folders
for i in admin/inc admin/genfiles admin/dtcrm admin/queuegraph 
admin/memgraph admin/netusegraph admin/cpugraph admin/install 
admin/tables  shared/gfx/menu shared/gfx/bar shared/gfx/skin/green2 
shared/gfx/skin/muedgrey shared/gfx/skin/green_gpl/icons 
shared/gfx/skin/bwoup/gfx/buttons shared/gfx/skin/iglobal 
shared/gfx/skin/frame shared/gfx/skin/green shared/gfx/dtc 
shared/gfx/pagetop  shared/gfx/securepay shared/gfx/language/en/pub 
shared/gfx/language/fr/pub shared/gfx/language/ru/pub 
shared/gfx/language/nl/pub  shared/gfx/skin/tex 
shared/gfx/skin/ruffdogs_mozilla shared/gfx/skin/darkblue 
shared/gfx/skin/bwoup/gfx/config-icon  shared/gfx/skin/bwoup/gfx/buttons 
shared/gfx/skin/bwoup/gfx/tabs shared/gfx/skin/bwoup/gfx/treeview 
shared/gfx/skin/bwoup/gfx/navbar  shared/inc/forms shared/inc/sql 
shared/404_template shared/drawlib shared/dtcrm/srs 
shared/dtcrm/webnic.cc shared/vars  shared/visitors_template 
shared/template shared/securepay/gateways shared/maxmind client/inc 
email/inc ; do install -d -m 0775 /usr/local/www/dtc/$i ; done
install -d /usr/local/man/man8
-> Intalling scripts
# Management scripts that are executed
# The SQL table scripts
### email panel ###
# The man pages
install -m 0644 doc/dtc-chroot-shell.8	 
/usr/local/man/man8/dtc-chroot-shell.8
# inc png files
# Client and email inc png files
# Copy all the graphics...
find shared/gfx -iname '*.png' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
find shared/gfx -iname '*.gif' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
find shared/gfx -iname '*.js' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
find shared/gfx -iname '*.php' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
find shared/gfx -iname '*.html' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
find shared/gfx -iname '*.css' -exec install -m 0644 {} 
/usr/local/www/dtc/{} \;
[ -h /usr/local/www/dtc/admin/gfx ] || ln -s ../shared/gfx 
/usr/local/www/dtc/admin/gfx
[ -h /usr/local/www/dtc/client/gfx ] || ln -s ../shared/gfx 
/usr/local/www/dtc/client/gfx
[ -h /usr/local/www/dtc/email/gfx ] || ln -s ../shared/gfx 
/usr/local/www/dtc/email/gfx
mkdir -p /usr/local/www/dtc/shared/imgcache
chmod 0775 /usr/local/www/dtc/shared/imgcache
[ -h /usr/local/www/dtc/admin/imgcache ] || ln -s ../shared/imgcache 
/usr/local/www/dtc/admin/imgcache
[ -h /usr/local/www/dtc/client/imgcache ] || ln -s ../shared/imgcache 
/usr/local/www/dtc/client/imgcache
[ -h /usr/local/www/dtc/email/imgcache ] || ln -s ../shared/imgcache 
/usr/local/www/dtc/email/imgcache
# Set the stuffs for the logrotate
mkdir -p /usr/local/etc/logrotate.d
install -m 0644 etc/logrotate.d/dtc /usr/local/etc/logrotate.d/dtc
[ -h /usr/local/etc/logrotate.d/dtc-vhosts ] || ln -s 
/usr/local/var/dtc/etc/logrotate /usr/local/etc/logrotate.d/dtc-vhosts
# Setup the cron
mkdir -p /usr/local/etc/cron.d
install -m 0644 etc/cron.d/dtc /usr/local/etc/cron.d/dtc
# Create the variables directory
install -m 0775 -d /usr/local/var/dtc/etc/zones 
/usr/local/var/dtc/etc/slave_zones
# Create the configuration folder
mkdir -p /usr/local/etc/dtc/reminders_msg
mkdir -p /usr/local/etc/dtc/registration_msg
for i in reminders_msg/server_expired_already.txt 
reminders_msg/server_expired_last_warning.txt 
reminders_msg/server_expired_shutdown.txt 
reminders_msg/server_expired_today.txt 
reminders_msg/server_will_expire.txt 
reminders_msg/shared_expired_already.txt 
reminders_msg/shared_expired_last_warning.txt 
reminders_msg/shared_expired_shutdown.txt 
reminders_msg/shared_expired_today.txt 
reminders_msg/shared_will_expire.txt 
reminders_msg/vps_expired_already.txt 
reminders_msg/vps_expired_last_warning.txt 
reminders_msg/vps_expired_shutdown.txt 
reminders_msg/vps_expired_today.txt  reminders_msg/vps_will_expire.txt 
registration_msg/dedicated_open.txt registration_msg/shared_open.txt 
registration_msg/vps_open.txt  signature.txt messages_header.txt 
logrotate.template ; do install -m 0644 etc/dtc/$i /usr/local/etc/dtc/$i 
; done
# Doc dir
install -m 0775 -d /usr/local/share/doc/dtc
if [ /usr/local/share/doc/dtc = "/usr/share/doc" -a /usr/local/www/dtc = 
"/usr/share" ] ; then  if [ ! -h /usr/local/www/dtc/doc ] ; then  ln -s 
../doc/dtc /usr/local/www/dtc/doc ;  else  if [ -h 
/usr/local/www/dtc/doc ] ; then  ln -s /usr/local/share/doc/dtc 
/usr/local/www/dtc/doc ;  fi ;  fi ;  fi
cp -rf doc/* /usr/local/share/doc/dtc
# Copy the internationnalization stuff
make i18n
===> Managing internationalizations and localizations
=> Extracting strings from sources
xgettext: warning: file `admin/patch_saslatuhd_startup' extension `' is 
unknown; will try C
xgettext: warning: file `admin/dkfilter.patch' extension `patch' is 
unknown; will try C
xgettext: warning: file `admin/genfiles/mailfilter_vacation_template' 
extension `' is unknown; will try C
xgettext: warning: file `shared/dtcrm/srs/ops.dtd' extension `dtd' is 
unknown; will try C
xgettext: warning: file `shared/dtcrm/srs/test.xml' extension `xml' is 
unknown; will try C
=> Merging in every language .po file:
fr_FR 
................................................................................................... 
done.
hu_HU 
................................................................................................... 
done.
it_IT 
................................................................................................... 
done.
nl_NL 
................................................................................................... 
done.
ru_RU.UTF-8 
................................................................................................... 
done.
de_DE 
................................................................................................... 
done.
zh_CN 
................................................................................................... 
done.
pl_PL 
................................................................................................... 
done.
se_NO 
................................................................................................... 
done.
pt_PT 
................................................................................................... 
done.
es_ES 
................................................................................................... 
done.
=> Creating binary formats of language files:
fr_FR 981 translated messages.
hu_HU 286 translated messages, 172 fuzzy translations, 523 untranslated 
messages.
it_IT 461 translated messages, 153 fuzzy translations, 367 untranslated 
messages.
nl_NL 626 translated messages, 161 fuzzy translations, 194 untranslated 
messages.
ru_RU.UTF-8 981 translated messages.
de_DE 981 translated messages.
zh_CN 646 translated messages, 168 fuzzy translations, 167 untranslated 
messages.
pl_PL 465 translated messages, 218 fuzzy translations, 298 untranslated 
messages.
se_NO 2 translated messages, 23 fuzzy translations, 956 untranslated 
messages.
pt_PT 287 translated messages, 165 fuzzy translations, 529 untranslated 
messages.
es_ES 471 translated messages, 157 fuzzy translations, 353 untranslated 
messages.
cd shared/vars && cp -rf locale /usr/local/www/dtc/shared/vars && cd ../..
rm -rf /usr/local/share/doc/dtc/LICENSE
rm -rf /usr/local/share/doc/dtc/LICENSE.gz
------------------------------------------------------
Domain Control Technology is now installed
Now you can run dtc-install to finish the installation
-------------------------------------------------------
===>   Compressing manual pages for dtc-0.28.2.1_3
===>   Registering installation for dtc-0.28.2.1_3
================================================================
====================<phase 7: make package>====================
===>  Building package for dtc-0.28.2.1_3
Creating package /tmp/packages/All/dtc-0.28.2.1_3.tbz
Registering depends: fpdf-1.6,1 php5-zlib-5.2.12 mod_log_sql-dtc-1.101 
apache-2.2.14_5 pear-Crypt_CBC-1.0.0 pear-1.9.0 php5-xml-5.2.12 
php5-pcre-5.2.12 php5-mysql-5.2.12 php5-session-5.2.12 php5-5.2.12 
rrdtool-1.4.2 libxml2-2.7.6_1 wget-1.12 pango-1.26.2 
gio-fam-backend-2.22.4 gamin-0.1.10_3 glib-2.22.4 gettext-0.17_1 
libiconv-1.13.1_1 mysql-server-5.0.90 libnss-mysql-1.5_2 
mysql-client-5.0.90 cairo-1.8.8,1 libXft-2.1.14 libXrender-0.9.4_1 
libX11-1.2.1_1,1 xcb-util-0.3.6_1 libxcb-1.5 libpthread-stubs-0.3_3 
pcre-8.00 xorg-fonts-truetype-7.4 bitstream-vera-1.10_4 webfonts-0.30_6 
font-misc-ethiopic-1.0.0 font-misc-meltho-1.0.0_1 font-bh-ttf-1.0.0 
fontconfig-2.8.0,1 mkfontdir-1.0.4 mkfontscale-1.0.6 freetype2-2.3.11 
pixman-0.16.6 libXau-1.0.4 libXdmcp-1.0.2_1 libfontenc-1.0.4 
xproto-7.0.15 pkg-config-0.23_1 ncftp-3.2.3 png-1.2.42 mhonarc-2.6.16_1 
perl-5.10.1 python26-2.6.4 mlmmj-1.2.17 chrootuid-1.3 sudo-1.7.2.2 
expat-2.0.1_1 sbox-dtc-1.07.3 encodings-1.0.2,1 font-util-1.0.1 
kbproto-1.0.3 renderproto-0.9.3.
Creating bzip'd tar ball in '/tmp/packages/All/dtc-0.28.2.1_3.tbz'
Deleting dtc-0.28.2.1_3

=== Checking filesystem state
Deleting wget-1.12
Deleting webfonts-0.30_6
Deleting sudo-1.7.2.2
Deleting sbox-dtc-1.07.3
Deleting rrdtool-1.4.2
Deleting php5-session-5.2.12
Deleting php5-mysql-5.2.12
Deleting pear-Crypt_CBC-1.0.0
uninstall ok: channel://pear.php.net/Crypt_CBC-1.0.0
Deleting ncftp-3.2.3
Deleting mysql-server-5.0.90
Deleting mod_log_sql-dtc-1.101
Deleting mlmmj-1.2.17
Deleting mhonarc-2.6.16_1
Deleting libnss-mysql-1.5_2
Deleting fpdf-1.6,1
Deleting chrootuid-1.3
Deleting apache-2.2.14_5
Deleting mysql-client-5.0.90
Deleting pango-1.26.2
Deleting pear-1.9.0
Deleting php5-zlib-5.2.12
Deleting xorg-fonts-truetype-7.4
Deleting php5-xml-5.2.12
Deleting php5-pcre-5.2.12
Deleting libXft-2.1.14
Deleting gio-fam-backend-2.22.4
Deleting cairo-1.8.8,1
Deleting bitstream-vera-1.10_4
Deleting encodings-1.0.2,1
Deleting font-bh-ttf-1.0.0
/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 1 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
Deleting font-misc-ethiopic-1.0.0
/usr/local/lib/X11/fonts/TTF: caching, new cache contents: 0 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
e08e430c0039b81a359824020e18a281-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 22 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
Deleting font-misc-meltho-1.0.0_1
/usr/local/lib/X11/fonts/OTF: caching, new cache contents: 0 fonts, 0 dirs
/var/db/fontconfig: cleaning cache directory
/var/db/fontconfig: invalid cache file: 
d6a82a7420f683b92800b5c72e29748a-le32d4.cache-3
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
Deleting gamin-0.1.10_3
Deleting libXrender-0.9.4_1
Deleting php5-5.2.12
Deleting pixman-0.16.6
Deleting png-1.2.42
Deleting xcb-util-0.3.6_1
Deleting renderproto-0.9.3
Deleting mkfontdir-1.0.4
Deleting libxml2-2.7.6_1
Deleting libX11-1.2.1_1,1
Deleting glib-2.22.4
Deleting fontconfig-2.8.0,1
Deleting font-util-1.0.1
Deleting expat-2.0.1_1
Deleting gettext-0.17_1
Deleting kbproto-1.0.3
Deleting libxcb-1.5
Deleting mkfontscale-1.0.6
Deleting pcre-8.00
Deleting perl-5.10.1
Removing stale symlinks from /usr/bin...
     Removing /usr/bin/perl
     Removing /usr/bin/perl5
Done.
Cleaning up /etc/make.conf... Done.
Cleaning up /etc/manpath.config... Done.
Deleting python26-2.6.4
Deleting libpthread-stubs-0.3_3
Deleting libiconv-1.13.1_1
Deleting libfontenc-1.0.4
Deleting libXdmcp-1.0.2_1
Deleting libXau-1.0.4
Deleting freetype2-2.3.11
Deleting xproto-7.0.15
Deleting pkg-config-0.23_1

=== Checking filesystem state after all packages deleted
cmp: EOF on /etc/group-save
=== /etc/group was modified:
--- /etc/group-save	2010-03-15 13:13:18.000000000 +0000
+++ /etc/group	2010-03-15 13:13:52.000000000 +0000
@@ -29,3 +29,4 @@
  www:*:80:
  nogroup:*:65533:
  nobody:*:65534:
+mysql:*:88:
cmp: EOF on /etc/master.passwd-save
=== /etc/master.passwd was modified:
--- /etc/master.passwd-save	2010-03-15 13:13:18.000000000 +0000
+++ /etc/master.passwd	2010-03-15 13:13:52.000000000 +0000
@@ -21,3 +21,4 @@
  pop:*:68:6::0:0:Post Office Owner:/nonexistent:/usr/sbin/nologin
  www:*:80:80::0:0:World Wide Web Owner:/nonexistent:/usr/sbin/nologin
  nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin
+mysql:*:88:88::0:0:MySQL Daemon:/nonexistent:/sbin/nologin
================================================================
build of /usr/ports/sysutils/dtc ended at Mon Mar 15 13:15:18 UTC 2010
Comment 11 Mark Linimon freebsd_committer freebsd_triage 2010-03-20 21:06:30 UTC
State Changed
From-To: closed->open

Maintainer has responded with a new patch and has requested that 
this PR be re-opened. 


Comment 12 Mark Linimon freebsd_committer freebsd_triage 2010-03-20 21:06:30 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs
Comment 13 Stefan Walter freebsd_committer 2010-06-28 12:31:47 UTC
Hi Sevan, hi Thomas,

there is a problem with the mysql dependencies here (see the relevant part
of a build log below). The port should probably set USE_MYSQL instead of
an explicit dependency on databases/mysql50-server.

Could someone of you please investigate and send an updated patch?

Regards,
Stefan

###
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<phase 6: make =
install>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
add_pkg mysql-client-5.0.90.tbz mysql-server-5.0.90.tbz mysql-client-5.1.48=
=2Etbz apache-2.2.15_9.tbz expat-2.0.1_1.tbz apr-ipv6-devrandom-gdbm-db42-1=
=2E4.2.1.3.9_1.tbz pcre-8.02.tbz libiconv-1.13.1_1.tbz perl-5.10.1_1.tbz gd=
bm-1.8.3_3.tbz db42-4.2.52_5.tbz ap22-mod_log_sql-dtc-1.101_2.tbz pear-1.9.=
0.tbz php5-5.3.2_1.tbz php5-xml-5.3.2_1.tbz libxml2-2.7.7.tbz pkg-config-0.=
23_1.tbz pear-Crypt_CBC-1.0.0.tbz sbox-1.10_1.tbz sudo-1.7.2.7.tbz libnss-m=
ysql-1.5_2.tbz chrootuid-1.3.tbz gettext-0.18_1.tbz wget-1.12_1.tbz php5-zl=
ib-5.3.2_1.tbz fpdf-1.6,1.tbz fontconfig-2.8.0,1.tbz freetype2-2.3.12.tbz b=
itstream-vera-1.10_4.tbz webfonts-0.30_6.tbz mhonarc-2.6.16_1.tbz mlmmj-1.2=
=2E17.tbz ncftp-3.2.3.tbz cairo-1.8.10_1,1.tbz png-1.4.1_1.tbz pango-1.28.0=
_1.tbz pixman-0.16.6.tbz xcb-util-0.3.6_1.tbz libXrender-0.9.5.tbz glib-2.2=
4.1_1.tbz xorg-fonts-truetype-7.5.tbz encodings-1.0.3,1.tbz gobject-introsp=
ection-0.6.14.tbz libXft-2.1.14.tbz gio-fam-backend-2.24.1_1.tbz libxcb-1.6=
=2Etbz libXau-1.0.5.tbz libXdmcp-1.0.3.tbz renderproto-0.11.tbz libX11-1.3.=
3,1.tbz xproto-7.0.16.tbz python26-2.6.5.tbz font-bh-ttf-1.0.1.tbz font-mis=
c-meltho-1.0.1.tbz font-misc-ethiopic-1.0.1.tbz font-util-1.0.2.tbz libffi-=
3.0.9.tbz bison-2.4.1_1,1.tbz gamin-0.1.10_4.tbz libpthread-stubs-0.3_3.tbz=
 kbproto-1.0.4.tbz mkfontdir-1.0.5.tbz mkfontscale-1.0.7.tbz m4-1.4.14_1,1.=
tbz libfontenc-1.0.5.tbz rrdtool-1.4.3.tbz php5-mysql-5.3.2_1.tbz php5-sess=
ion-5.3.2_1.tbz
adding dependencies
pkg_add mysql-client-5.0.90.tbz
pkg_add mysql-server-5.0.90.tbz
Added group "mysql".
Added user "mysql".

************************************************************************

Remember to run mysql_upgrade (with the optional --datadir=3D<dbdir> flag)
the first time you start the MySQL server after an upgrade from an
earlier version.

************************************************************************

pkg_add mysql-client-5.1.48.tbz
pkg_add: package 'mysql-client-5.1.48' conflicts with mysql-client-5.0.90
pkg_add: please use pkg_delete first to remove conflicting package(s) or -f=
 to force installation
error in dependency mysql-client-5.1.48.tbz, exiting
###
Comment 14 Stefan Walter freebsd_committer 2010-06-28 12:31:59 UTC
State Changed
From-To: open->feedback

Awaiting feedback from maintainer/submitter. 


Comment 15 Stefan Walter freebsd_committer 2010-06-28 12:31:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this.
Comment 16 Stefan Walter freebsd_committer 2010-08-02 17:48:19 UTC
Since I currently lack the time to work on this, here's the last response
for the record:

Thomas Goirand, 28.06.10, 18:31h CEST:

> Hi Stefan,
> 
> Thanks for "unbreaking" our FreeBSD port, but there is a much much much
> better version of DTC's port that is available on our FTP:
> 
> http://ftparchive.gplhost.com/pub/dtc/bsd/dtcBSDport-0.31.0.1.tar.gz
> 
> Do you think it would be possible that you upload this version to
> replace the actual port? A huge FreeBSD work has been made by a
> contributor in Argentina. I'm sure he would appreciate a lot that his
> work was shared with everyone.
Comment 17 Stefan Walter freebsd_committer 2010-08-02 17:48:30 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 18 Renato Botelho freebsd_committer 2010-09-16 13:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 19 Renato Botelho freebsd_committer 2010-09-16 13:54:29 UTC
Dear maintainer of sysutils/dtc port,

I've made a patch, based on dtcBSDport, that unbreak the port and update
it to 0.32.0.1.

Do you approve this?

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <garga @ freebsdbrasil.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Too much of a good thing is WONDERFUL.
		-- Mae West
Comment 20 fkiernan 2010-09-16 18:05:37 UTC
> -----Mensaje original-----
> De: Renato Botelho [mailto:garga.bsd@gmail.com] En nombre de Renato
> Botelho
> Enviado el: jueves, 16 de septiembre de 2010 09:54
> Para: Fernando M. Kiernan
> CC: bug-followup@FreeBSD.org; venture37@geeklan.co.uk
> Asunto: Re: ports/143344: [PATCH] sysutils/dtc: unbreak port
> 
> Dear maintainer of sysutils/dtc port,
> 
> I've made a patch, based on dtcBSDport, that unbreak the port and
> update
> it to 0.32.0.1.


Hi, I approve this. Anyway expect to have 0.32.2 or 0.32.3 port released
in a few days as we are still polishing some rough edges of DTC's
FreeBSD support 

Regards
Fernando Kiernan
Imagenes Digitales S.A.
www.imagenesdigitales.com.ar

> 
> Do you approve this?
> 
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>                <garga @ freebsdbrasil.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
> 
> Too much of a good thing is WONDERFUL.
> 		-- Mae West

Comment 21 dfilter service freebsd_committer 2010-09-16 20:19:15 UTC
garga       2010-09-16 19:19:10 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/dtc         Makefile distinfo pkg-plist 
    sysutils/dtc/files   dtc-deinstall.in dtc-install.in 
  Added files:
    sysutils/dtc/files   patch-Makefile 
  Log:
  - Update to 0.32.0.1
  - Undeprecate it
  
  PR:             ports/143344
  Submitted by:   Sevan Janiyan <venture37@geeklan.co.uk>
  Reworked by:    garga@
  Approved by:    maintainer
  
  Revision  Changes     Path
  1.33      +47 -26     ports/sysutils/dtc/Makefile
  1.9       +3 -3       ports/sysutils/dtc/distinfo
  1.7       +3 -4       ports/sysutils/dtc/files/dtc-deinstall.in
  1.7       +52 -12     ports/sysutils/dtc/files/dtc-install.in
  1.1       +37 -0      ports/sysutils/dtc/files/patch-Makefile (new)
  1.8       +1243 -837  ports/sysutils/dtc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 Renato Botelho freebsd_committer 2010-09-16 20:19:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!